Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept
Interface ObjectDefinitionSource

All Known Subinterfaces:
  FilterInvocationDefinitionSource, MethodDefinitionSource

All Known Implementing Classes:
  AbstractFilterInvocationDefinitionSource, AbstractMethodDefinitionSource, MethodDefinitionAttributes, MethodDefinitionMap, PathBasedFilterInvocationDefinitionMap, RegExpBasedFilterInvocationDefinitionMap

    public interface ObjectDefinitionSource

Implemented by classes that store and can identify the `ConfigAttributeDefinition` that applies to a given secure object invocation.

Version:
  $Id: ObjectDefinitionSource.java,v 1.3 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Method Summary
`ConfigAttributeDefinition` | `getAttributes(Object object)` Accesses the `ConfigAttributeDefinition` that applies to a given secure object.
`Iterator` | `getConfigAttributeDefinitions()` If available, all of the `ConfigAttributeDefinition`s defined by the implementing class.
`boolean` | `supports(Class clazz)` Indicates whether the `ObjectDefinitionSource` implementation is able to provide `ConfigAttributeDefinition`s for the indicated secure object type.

Method Detail

### getAttributes

    ConfigAttributeDefinition getAttributes(Object object)
                                            throws IllegalArgumentException

  Accesses the `ConfigAttributeDefinition` that applies to a given secure object.

  Returns `null` if no `ConfigAttribiteDefinition` applies.

  Parameters:
    `object` - the object being secured
  Returns:
    the `ConfigAttributeDefinition` that applies to the passed object
  Throws:
    `IllegalArgumentException` - if the passed object is not of a type supported by the `ObjectDefinitionSource` implementation

### getConfigAttributeDefinitions

    Iterator getConfigAttributeDefinitions()

  If available, all of the `ConfigAttributeDefinition`s defined by the implementing class.

  This is used by the `AbstractSecurityInterceptor` to perform startup time validation of each `ConfigAttribute` configured against it.

  Returns:
    an iterator over all the `ConfigAttributeDefinition`s or `null` if unsupported

### supports

    boolean supports(Class clazz)

  Indicates whether the `ObjectDefinitionSource` implementation is able to provide `ConfigAttributeDefinition`s for the indicated secure object type.

  Parameters:
    `clazz` - the class that is being queried
  Returns:
    true if the implementation can process the indicated class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.